--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: company_transaction; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE company_transaction (
    id integer NOT NULL,
    date timestamp without time zone NOT NULL,
    edit_status character varying(255) DEFAULT 'Editing'::character varying NOT NULL,
    acquirer_company_name character varying(255) NOT NULL,
    target_company_name character varying(255) NOT NULL
);


--
-- Name: company_transaction_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE company_transaction_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: company_transaction_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE company_transaction_id_seq OWNED BY company_transaction.id;


--
-- Name: condition_boolean_value; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE condition_boolean_value (
    id integer NOT NULL,
    condition_id integer NOT NULL,
    value character varying(1) NOT NULL
);


--
-- Name: condition_boolean_value_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE condition_boolean_value_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: condition_boolean_value_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE condition_boolean_value_id_seq OWNED BY condition_boolean_value.id;


--
-- Name: condition_option_label; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE condition_option_label (
    id integer NOT NULL,
    type_id integer NOT NULL,
    value character varying(255) NOT NULL,
    "position" integer DEFAULT 0 NOT NULL
);


--
-- Name: condition_option_label_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE condition_option_label_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: condition_option_label_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE condition_option_label_id_seq OWNED BY condition_option_label.id;


--
-- Name: condition_option_value; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE condition_option_value (
    id integer NOT NULL,
    condition_id integer NOT NULL,
    value_id integer NOT NULL
);


--
-- Name: condition_option_value_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE condition_option_value_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: condition_option_value_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE condition_option_value_id_seq OWNED BY condition_option_value.id;


--
-- Name: condition_string_value; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE condition_string_value (
    id integer NOT NULL,
    condition_id integer NOT NULL,
    value character varying(255) NOT NULL
);


--
-- Name: condition_string_value_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE condition_string_value_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: condition_string_value_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE condition_string_value_id_seq OWNED BY condition_string_value.id;


--
-- Name: condition_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE condition_type (
    id integer NOT NULL,
    label character varying(255) NOT NULL,
    description text,
    data_type character varying(255),
    "position" integer DEFAULT 0 NOT NULL,
    parent_id integer
);


--
-- Name: condition_type_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE condition_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: condition_type_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE condition_type_id_seq OWNED BY condition_type.id;


--
-- Name: transaction_condition; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE transaction_condition (
    id integer NOT NULL,
    transaction_id integer NOT NULL,
    type_id integer NOT NULL
);


--
-- Name: transaction_condition_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE transaction_condition_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transaction_condition_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE transaction_condition_id_seq OWNED BY transaction_condition.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY company_transaction ALTER COLUMN id SET DEFAULT nextval('company_transaction_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY condition_boolean_value ALTER COLUMN id SET DEFAULT nextval('condition_boolean_value_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY condition_option_label ALTER COLUMN id SET DEFAULT nextval('condition_option_label_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY condition_option_value ALTER COLUMN id SET DEFAULT nextval('condition_option_value_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY condition_string_value ALTER COLUMN id SET DEFAULT nextval('condition_string_value_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY condition_type ALTER COLUMN id SET DEFAULT nextval('condition_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY transaction_condition ALTER COLUMN id SET DEFAULT nextval('transaction_condition_id_seq'::regclass);


--
-- Name: company_transaction_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company_transaction
    ADD CONSTRAINT company_transaction_pkey PRIMARY KEY (id);


--
-- Name: condition_boolean_value_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY condition_boolean_value
    ADD CONSTRAINT condition_boolean_value_pkey PRIMARY KEY (id);


--
-- Name: condition_option_label_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY condition_option_label
    ADD CONSTRAINT condition_option_label_pkey PRIMARY KEY (id);


--
-- Name: condition_option_value_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY condition_option_value
    ADD CONSTRAINT condition_option_value_pkey PRIMARY KEY (id);


--
-- Name: condition_string_value_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY condition_string_value
    ADD CONSTRAINT condition_string_value_pkey PRIMARY KEY (id);


--
-- Name: condition_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY condition_type
    ADD CONSTRAINT condition_type_pkey PRIMARY KEY (id);


--
-- Name: transaction_condition_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transaction_condition
    ADD CONSTRAINT transaction_condition_pkey PRIMARY KEY (id);


--
-- Name: acquirer_target_names; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX acquirer_target_names ON company_transaction USING btree (acquirer_company_name, target_company_name);


--
-- Name: field_unique_position_on_parent_scope; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX field_unique_position_on_parent_scope ON condition_type USING btree (parent_id, "position");


--
-- Name: index_company_transaction_on_date; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_company_transaction_on_date ON company_transaction USING btree (date);


--
-- Name: index_company_transaction_on_edit_status; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_company_transaction_on_edit_status ON company_transaction USING btree (edit_status);


--
-- Name: index_company_transaction_on_target_company_name; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_company_transaction_on_target_company_name ON company_transaction USING btree (target_company_name);


--
-- Name: index_condition_boolean_value_on_condition_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX index_condition_boolean_value_on_condition_id ON condition_boolean_value USING btree (condition_id);


--
-- Name: index_condition_boolean_value_on_value_and_condition_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_condition_boolean_value_on_value_and_condition_id ON condition_boolean_value USING btree (value, condition_id);


--
-- Name: index_condition_option_label_on_type_id_and_position; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_condition_option_label_on_type_id_and_position ON condition_option_label USING btree (type_id, "position");


--
-- Name: index_condition_option_label_on_type_id_and_value; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_condition_option_label_on_type_id_and_value ON condition_option_label USING btree (type_id, value);


--
-- Name: index_condition_option_value_on_condition_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX index_condition_option_value_on_condition_id ON condition_option_value USING btree (condition_id);


--
-- Name: index_condition_option_value_on_value_id_and_condition_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_condition_option_value_on_value_id_and_condition_id ON condition_option_value USING btree (value_id, condition_id);


--
-- Name: index_condition_string_value_on_condition_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX index_condition_string_value_on_condition_id ON condition_string_value USING btree (condition_id);


--
-- Name: index_condition_string_value_on_value_and_condition_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_condition_string_value_on_value_and_condition_id ON condition_string_value USING btree (value, condition_id);


--
-- Name: index_condition_type_on_parent_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_condition_type_on_parent_id ON condition_type USING btree (parent_id);


--
-- Name: index_condition_type_on_position; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_condition_type_on_position ON condition_type USING btree ("position");


--
-- Name: index_transaction_condition_on_transaction_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_transaction_condition_on_transaction_id ON transaction_condition USING btree (transaction_id);


--
-- Name: index_transaction_condition_on_type_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX index_transaction_condition_on_type_id ON transaction_condition USING btree (type_id);


--
-- Name: transaction_condition_transaction_id_type_id_idx; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX transaction_condition_transaction_id_type_id_idx ON transaction_condition USING btree (transaction_id, type_id);


--
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

